#
# spec file for package rubygem-web-console
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-web-console
Version:        3.6.2
Release:        lp151.2.1
%define mod_name web-console
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.2.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/rails/web-console
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A debugging tool for your Ruby on Rails applications
License:        MIT
Group:          Development/Languages/Ruby

%description
A debugging tool for your Ruby on Rails applications.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.markdown MIT-LICENSE README.markdown" \
  -f

%gem_packages

%changelog
* Sun Apr 29 2018 factory-auto@kulow.org
- updated to version 3.6.2
  see installed CHANGELOG.markdown
  [#]# 3.6.2
  * [#255](https://github.com/rails/web-console/pull/255) Fix the truncated HTML body, because of wrong Content-Length header ([@timomeh])
* Thu Apr 19 2018 factory-auto@kulow.org
- updated to version 3.6.1
  see installed CHANGELOG.markdown
  [#]# 3.6.1
  * [#252](https://github.com/rails/web-console/pull/252) Fix improper injection in Rack bodies like ActionDispatch::Response::RackBody ([@gsamokovarov])
* Tue Apr 10 2018 factory-auto@kulow.org
- updated to version 3.6.0
  see installed CHANGELOG.markdown
  [#]# 3.6.0
  * [#254](https://github.com/rails/web-console/pull/254) Rescue ActionDispatch::RemoteIp::IpSpoofAttackError ([@wjordan])
  * [#250](https://github.com/rails/web-console/pull/250) Close original body to comply with Rack SPEC ([@wagenet])
  * [#249](https://github.com/rails/web-console/pull/249) Update for frozen-string-literal friendliness ([@pat])
  * [#248](https://github.com/rails/web-console/pull/248) Fix copy on Safari ([@ybart])
  * [#246](https://github.com/rails/web-console/pull/246) International keyboard special character input fixes ([@fl0l0u])
  * [#244](https://github.com/rails/web-console/pull/244) Let WebConsole.logger respect Rails.logger ([@gsamokovarov])
* Tue Jul 25 2017 dimstar@opensuse.org
- Build for all ruby versions (boo#1049991).
* Tue May 23 2017 coolo@suse.com
- updated to version 3.5.1
  see installed CHANGELOG.markdown
  [#]# 3.5.1
  * [239](https://github.com/rails/web-console/pull/239) Fix the ActionDispatch::DebugExceptions integration ([@gsamokovarov])
* Thu Mar 30 2017 coolo@suse.com
- updated to version 3.5.0
  see installed CHANGELOG.markdown
  [#]# 3.5.0
  * [237](https://github.com/rails/web-console/pull/237) Bindex integration for JRuby 9k support ([@gsamokovarov])
  * [236](https://github.com/rails/web-console/pull/236) Remove unused Active Support lazy load hook ([@betesh])
  * [230](https://github.com/rails/web-console/pull/230) Handle invalid remote addresses ([@akirakoyasu])
* Sun Oct 30 2016 coolo@suse.com
- updated to version 3.4.0
  see installed CHANGELOG.markdown
  [#]# 3.4.0
  * [#205](https://github.com/rails/web-console/pull/205) Introduce autocompletion ([@sh19910711])
* Wed Jul  6 2016 coolo@suse.com
- updated to version 3.3.1
  see installed CHANGELOG.markdown
  [#]# 3.3.1
  Drop support for Rails `4.2.0`.
  [#]# 3.3.0
  * [203](https://github.com/rails/web-console/pull/203) Map bindings to traces based on the trace __FILE__ and __LINE__ ([@gsamokovarov])
* Wed Jun 29 2016 coolo@suse.com
- updated to version 3.3.0
  see installed CHANGELOG.markdown
  [#]# 3.2.1
  * [#202](https://github.com/rails/web-console/pull/202) Use first binding when there is no application binding ([@sh19910711])
* Tue Jun  7 2016 coolo@suse.com
- updated to version 3.2.0
  see installed CHANGELOG.markdown
  [#]# 3.2.0
  * [#198](https://github.com/rails/web-console/pull/198) Pick the first application trace binding on errors ([@sh19910711])
  * [#189](https://github.com/rails/web-console/pull/189) Silence ActionView rendering information ([@gsamokovarov])
* Tue Apr 12 2016 coolo@suse.com
- updated to version 3.1.1
  see installed CHANGELOG.markdown
  [#]# 3.1.1
  * [#185](https://github.com/rails/web-console/pull/185) Fix `rails console` startup ([@gsamokovarov])
  [#]# 3.1.0
  * [#182](https://github.com/rails/web-console/pull/182) Let `#console` live in `Kernel` ([@schneems])
  * [#181](https://github.com/rails/web-console/pull/181) Log internal Web Console errors ([@gsamokovarov])
  * [#180](https://github.com/rails/web-console/pull/180) Autoload Web Console constants for faster Rails boot time ([@herminiotorres])
* Wed Mar  2 2016 dimstar@opensuse.org
- Fix spec: this rubygem is only compatible with ruby 2.2. Add:
  + %%%%define rb_build_versions ruby22
  + %%%%define rb_default_ruby_abi ruby:2.2.0
* Mon Jan 25 2016 coolo@suse.com
- updated to version 3.0.0
  see installed CHANGELOG.markdown
  [#]# 3.0.0
  * [#173](https://github.com/rails/web-console/pull/173) Revert "Change config.development_only default until 4.2.4 is released" ([@gsamokovarov])
  * [#171](https://github.com/rails/web-console/pull/171) Fixed blocked IP logging ([@gsamokovarov])
  * [#162](https://github.com/rails/web-console/pull/162) Render the console inside the body tag ([@gsamokovarov])
  * [#165](https://github.com/rails/web-console/pull/165) Revamped integrations for CRuby and Rubinius ([@gsamokovarov])
* Sat Jul 11 2015 coolo@suse.com
- updated to version 2.2.1
  no changelog found
* Wed Jun 17 2015 coolo@suse.com
- updated to version 2.1.3
  - Fix remote code execution vulnerability in Web Console.
    CVE-2015-3224.(bnc#934796) (bsc#1041338)
* Fri Mar 13 2015 coolo@suse.com
- updated to version 2.1.2
* Fri Mar  6 2015 coolo@suse.com
- updated to version 2.1.1
* Sun Mar  1 2015 coolo@suse.com
- updated to version 2.1.0
* Fri Feb  6 2015 hvogel@suse.com
- Initial package, Version 2.0.0
